%define name klavaro
%define version 3.00
%define release %mkrel 2

Summary:        Typing tutor
Summary(de):	Schreibtrainer
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv3+
URL:            http://klavaro.sourceforge.net/
Group:          Education
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
#---------------------------------------------
BuildRequires:  python-devel
BuildRequires:  python-docutils
BuildRequires:  gettext
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
#---------------------------------------------
BuildRequires:  desktop-file-utils
Requires: 	espeak
Requires:	gtk+3.0
Obsoletes:      %{name} < %{version}

%description
Klavaro  is a touch typing tutor that is very flexible and supports 
customizable keyboard layouts. Users can edit and save new or unknown
keyboard layouts, as the basic course provided by the program was designed 
to not depend on specific layouts.

%description -l de
In fünf Kapiteln erlernt der Anwender das Zehn-Finger-System. Zu Beginn erklärt 
eine Einführung die korrekte Fingerposition auf der Tastatur. Der anschließende 
Grundkurs trainiert in 43 Lektionen die Lage aller Tasten. Nach jeder Lektion 
gibt Klavaro dem Anwender eine kurze statistische Auswertung seiner Leistungen.

Findet der Anwender erst einmal alle Tasten sicher, führt ihn das Kapitel 
„Anpassung“ mit Zufallsfolgen von Buchstaben an den komplexen Aufbau von Texten 
heran. Im nächsten Kapitel trainiert Klavaro den Anwender über Sätze aus zufällig 
gewählten Worten zu höherer Schreibgeschwindigkeit. Beide Übungen lassen sich 
beliebig oft wiederholen, wobei Klavaro immer neue Zufallsfolgen von Buchstaben 
respektive Worten generiert.

Im letzten Kapitel schließlich muss der Anwender einen vollständigen Text abtippen.
Der Anwender hat sein Selbststudium erfolgreich absolviert, wenn er in der Lage 
ist, den Text mit 300 Anschlägen pro Minute bei einer Genauigkeit von 98 Prozent 
zu schaffen. 

%prep
%setup -q

%build
%configure2_5x

%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/applications
install -m 755 data/%{name}.desktop %{buildroot}%{_datadir}/applications/

desktop-file-install --vendor=""\
       --add-category="X-MandrivaLinux-MoreApplications-Education-Other"\
       --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}
# remove devel libs we have our own libgtkdatabox
rm -f %{buildroot}/%{_libdir}/libgtkdatabox.*a
rm -f %{buildroot}/%{_libdir}/libgtkdatabox.so

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*.bz2
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_libdir}/libgtkdatabox.so.*

%changelog
* Mon Feb 03 2014 bb <bb> 3.00-2pclos2014
- clean up BR
- drop post update-menus not needed

* Mon Feb 03 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 3.00-1pclos2014
- 3.00

* Thu Jan 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.9.6-1pclos2013
- 1.9.6

* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 1.9.5-2pclos2012
- process

* Mon Jul 02 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.9.5-2pclos2012
- added Requires: espeak

* Thu Jun 21 2012 Neal <nealbrks0 at gmail dot com> 1.9.5-1pclos2012
- process

* Thu Jun 21 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.9.5-1pclos2012
- 1.9.5

* Thu Mar 15 2012 Neal <nealbrks0 at gmail dot com> 1.9.4-1pclos2012
- process

* Thu Mar 15 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.9.4-1pclos2012
- 1.9.4
- added german summary and description
- added xz compression
- added %{_lib} macros but gtkdatabox-devel isnt available in 64bit repo
- renamed spec file to pclos-klavaro.spec


* Mon Sep 14 2009 slick50 <lxgator@gmail.com> 1.3.1-1pclos2009
- 1.3.1

* Mon Aug 03 2009 slick50 <lxgator@gmail.com> 1.2.2-1pclos2009
- 1.2.2

* Fri Apr 04 2008 P. K. Frederic <pkfric@yahoo.com> 0.9.19-1pclos2008
- first RPM for PCLinuxOS
- original spec by Dries Verachtert <dries@ulyssis.org>
